%define name ccaudio
%define version 0.2.7
%define release 1mdk

Summary: ccaudio - a C++ class framework for processing audio files.
Name: %name
Version: %version
Release: %release
Group: Development/C++
Source: %name-%version.tar.bz2
Copyright: GPL
BuildRoot: %_tmppath/%name-buildroot

%description
The OST ccaudio package offers a highly portable C++ class framework for
developing applications which manipulate audio streams and various
disk based audio file formats.  At the moment ccaudio is primarly a class
framework for handling .au, .wav (RIFF), and various .raw audio encoding
formats under Posix and win32 systems, though it may expand to become a
general purpose audio and soundcard support library.  Support for
controlling CD audio devices has recently been added.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix 

%build

%make

%install

%makeinstall

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog doc
%_libdir/libcc*
%_includedir/cc++/audio.h

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- updated to 0.2.7

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-1mdk
- updated to 0.2.6

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- updated to 0.2.5

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-2mdk
- some cleaning

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- updated to 0.2.4

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-2mdk
- BM
- macros
- built with new CommonC++

* Thu Jul 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- build for mandrake
